string[]s = Console.ReadLine().Split();
int a = int.Parse(s[0]);
int b = int.Parse(s[1]);
string[] ll = Console.ReadLine().Split();
int x = int.Parse(ll[0]);
int y = int.Parse(ll[1]);
if (x>a || y> b || x<0 || y <0 || a> 100 || a<0 || b>100 || b<0)
{
    Console.WriteLine("error");
    Environment.Exit(0);
}
if (a == x&& b == y)
{
    Console.WriteLine("nijedan");
}
else if (x < a&& y< b)
{
    Console.WriteLine("?");
}
else if (x < a&& y==b)
{
    Console.WriteLine("prvi");
}
else if (x==a&& y < b)
{
    Console.WriteLine("drugi");
}